# Governance

The governance model adopted in OpenYurt is influenced by many CNCF projects.

## Principles

- **Open**: OpenYurt is open source community. See [Contributor License Agreement](https://cla-assistant.io/openyurtio/openyurt).
- **Welcoming and respectful**: See [Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md).
- **Transparent and accessible**: Work and collaboration should be done in public.
- **Merit**: Ideas and contributions are accepted according to their technical merit
  and alignment with project objectives, scope and design principles.

## Code of Conduct

The OpenYurt [Code of Conduct](CODE_OF_CONDUCT.md) is aligned with the CNCF Code of Conduct.

## Community MemberShip

See [community membership](https://github.com/openyurtio/community/blob/master/community-membership.md)

## Decision making process

Decisions are made based on consensus between maintainers.
Proposals and ideas can either be submitted for agreement via a github issue or PR,
or by sending an email to `openyurt@googlegroups.com`.

In general, we prefer that technical issues and maintainer membership are amicably worked out between the persons involved.
If a dispute cannot be decided independently, get a third-party maintainer (e.g. a mutual contact with some background
on the issue, but not involved in the conflict) to intercede and the final decision will be made.
Decision making process should be transparent to adhere to the principles of OpenYurt project.

## Credits

Some contents in this documents have been borrowed from [BFE](https://github.com/bfenetworks/bfe/blob/develop/GOVERNANCE.md) and [CoreDNS](https://github.com/coredns/coredns/blob/master/GOVERNANCE.md) and [Kubernetes governance](https://github.com/kubernetes/community/blob/master/governance.md) projects.
